Subject: RPG CPU hogging

From: David Bofinger <[email-masked]>
Date: Mon, 22 Feb 1993 19:05:05 -0800

I never realised it was that serious. The problem is that #46:time_trouble()
has to work either for a direct player-initiated task or for a fork/suspended
task. Because the only method it has for telling whether it is using too much
time or not is by seeing how much it has left, the algorithm, which works fine
for background tasks (uses a few seconds at most) tends to use up to 13 or so
seconds on a foreground task. Maybe this is sloppy coding, for my own sake I'll
hope it's been caused by server changes since it was written.

I can hack around this, in an ugly fashion, but maybe tasks need more info
about this, e.g. builtins that tell them what the task's initial limit was. Or
maybe they already exist and I've forgotten/never knew.

------------------------------------------------------------------------------
David Bofinger	AARNet:	[email-masked]
                Snail:	Dept. of Theoretical Physics, RSPhysSE, ANU, ACT, 2601
		MOO:	The apologetic ballhog.
------------------------------------------------------------------------------